# HaruPage::createLinkAnnotation

(PECL haru >= 0.0.1)

HaruPage::createLinkAnnotation — Create new HaruAnnotation instance

### Description

HaruPage::createLinkAnnotation ( array `$rectangle` , object `$destination` ) : object

Creates a new HaruAnnotation instance.

### Parameters

`rectangle`

  An array with 4 coordinates of the clickable area.

`destination`

  Valid HaruDestination instance.

### Return Values

Returns a new HaruAnnotation instance.

### Errors/Exceptions

Throws a HaruException on error.